.. _mmctl_channel:

mmctl channel
-------------

Management of channels

Synopsis
~~~~~~~~


Management of channels

Options
~~~~~~~

::

  -h, --help   help for channel

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl channel archive <mmctl_channel_archive.rst>`_ 	 - Archive channels
* `mmctl channel create <mmctl_channel_create.rst>`_ 	 - Create a channel
* `mmctl channel delete <mmctl_channel_delete.rst>`_ 	 - Delete channels
* `mmctl channel list <mmctl_channel_list.rst>`_ 	 - List all channels on specified teams.
* `mmctl channel modify <mmctl_channel_modify.rst>`_ 	 - Modify a channel's public/private type
* `mmctl channel move <mmctl_channel_move.rst>`_ 	 - Moves channels to the specified team
* `mmctl channel rename <mmctl_channel_rename.rst>`_ 	 - Rename channel
* `mmctl channel search <mmctl_channel_search.rst>`_ 	 - Search a channel
* `mmctl channel unarchive <mmctl_channel_unarchive.rst>`_ 	 - Unarchive some channels
* `mmctl channel users <mmctl_channel_users.rst>`_ 	 - Management of channel users

